> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Update

PATCH https://restapi.ordergroove.com/one_time_incentives/{one_time_incentive_id}/update/
Content-Type: application/json

Updates an existing one-time incentive.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/one-time-incentives/otd-update

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /one_time_incentives/{one_time_incentive_id}/update/:
    patch:
      operationId: otd-update
      summary: Update
      description: Updates an existing one-time incentive.
      tags:
        - oneTimeIncentives
      parameters:
        - name: one_time_incentive_id
          in: path
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '201':
          description: '201'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/One-Time
                  Incentives_otd-update_Response_201
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Otd-updateRequestBadRequestError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                external_code:
                  type: string
                  description: External Code
                description:
                  type: string
                  description: Description
                order:
                  type: string
                  description: Order ID
                item:
                  type: string
                  description: Item ID
                incentive:
                  $ref: >-
                    #/components/schemas/OneTimeIncentivesOneTimeIncentiveIdUpdatePatchRequestBodyContentApplicationJsonSchemaIncentive
                  description: Incentive Object
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    OneTimeIncentivesOneTimeIncentiveIdUpdatePatchRequestBodyContentApplicationJsonSchemaIncentive:
      type: object
      properties:
        discount_type:
          type: string
          description: >-
            For discount incentives. Choose 'Discount Percent' for a percent off
            discount or 'Discount Amount' for a flat dollar off discount.
        target:
          type: string
          description: >-
            If you're applying a order target discount you can choose from
            'subtotal' or 'shipping_total' for all item target discounts send
            'total_price'
        name:
          type: string
          description: Anything to help identify this incentive
        value:
          type: string
          description: >-
            For discount incentives. The value of the discount eg 5 for $5off or
            10 for 10%off
        product:
          type: string
          description: For gift incentives. External product id for the gift product.
      description: Incentive Object
      title: >-
        OneTimeIncentivesOneTimeIncentiveIdUpdatePatchRequestBodyContentApplicationJsonSchemaIncentive
    OneTimeIncentivesOneTimeIncentiveIdUpdatePatchResponsesContentApplicationJsonSchemaIncentive:
      type: object
      properties:
        type:
          type: string
        public_id:
          type: string
        discount_type:
          type: string
        target:
          type: string
        field:
          type: string
        name:
          type: string
        value:
          type: string
      title: >-
        OneTimeIncentivesOneTimeIncentiveIdUpdatePatchResponsesContentApplicationJsonSchemaIncentive
    One-Time Incentives_otd-update_Response_201:
      type: object
      properties:
        public_id:
          type: string
        external_code:
          type: string
        description:
          type: string
        merchant:
          type: string
        customer:
          type: string
        order:
          type: string
        created:
          type: string
        last_updated:
          type: string
        incentive:
          $ref: >-
            #/components/schemas/OneTimeIncentivesOneTimeIncentiveIdUpdatePatchResponsesContentApplicationJsonSchemaIncentive
      title: One-Time Incentives_otd-update_Response_201
    Otd-updateRequestBadRequestError:
      type: object
      properties:
        '[field_name]':
          type: string
      title: Otd-updateRequestBadRequestError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/one_time_incentives/one_time_incentive_id/update/"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/one_time_incentives/one_time_incentive_id/update/';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/one_time_incentives/one_time_incentive_id/update/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/one_time_incentives/one_time_incentive_id/update/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://restapi.ordergroove.com/one_time_incentives/one_time_incentive_id/update/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://restapi.ordergroove.com/one_time_incentives/one_time_incentive_id/update/', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/one_time_incentives/one_time_incentive_id/update/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/one_time_incentives/one_time_incentive_id/update/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```